aboutsummaryrefslogtreecommitdiffstats
path: root/testing/py-flask-sslify
diff options
context:
space:
mode:
authorWilliam Pitcock <nenolod@dereferenced.org>2012-12-08 13:25:23 -0600
committerWilliam Pitcock <nenolod@dereferenced.org>2012-12-08 13:25:23 -0600
commit617fabac262203ca2dcbb8f18e5b813b50136b65 (patch)
tree21ef43be79cc154439328f59451a8b6ddd7c54ac /testing/py-flask-sslify
parent34deecc474157787234428fb3de242bea6a64b90 (diff)
downloadaports-617fabac262203ca2dcbb8f18e5b813b50136b65.tar.gz
aports-617fabac262203ca2dcbb8f18e5b813b50136b65.tar.bz2
aports-617fabac262203ca2dcbb8f18e5b813b50136b65.tar.xz
testing/py-flask-sslify: new aport
Diffstat (limited to 'testing/py-flask-sslify')
-rw-r--r--testing/py-flask-sslify/APKBUILD38
1 files changed, 38 insertions, 0 deletions
diff --git a/testing/py-flask-sslify/APKBUILD b/testing/py-flask-sslify/APKBUILD
new file mode 100644
index 0000000000..dca4d257a0
--- /dev/null
+++ b/testing/py-flask-sslify/APKBUILD
@@ -0,0 +1,38 @@
+# Contributor: William Pitcock <nenolod@dereferenced.org>
+# Maintainer: William Pitcock <nenolod@dereferenced.org>
+pkgname=py-flask-sslify
+pkgver=0.1.4
+pkgrel=0
+pkgdesc="Flask plugin for forcing SSL on your web apps by default"
+url="http://pypi.python.org/pypi/Flask-SSLify"
+arch="noarch"
+license="BSD"
+depends="python py-flask"
+depends_dev=""
+makedepends="python-dev py-setuptools"
+install=""
+subpackages=""
+source="http://pypi.python.org/packages/source/F/Flask-SSLify/Flask-SSLify-$pkgver.tar.gz"
+
+_builddir="$srcdir"/Flask-SSLify-$pkgver
+prepare() {
+ local i
+ cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+}
+
+build() {
+ cd "$_builddir"
+ python setup.py build || return 1
+}
+
+package() {
+ cd "$_builddir"
+ python setup.py install --prefix=/usr --root="$pkgdir" || return 1
+}
+
+md5sums="e804bcffeb75f25d6babf715ad8681bd Flask-SSLify-0.1.4.tar.gz"